Subject: bug#54385: xscreensaver seems to be missing xscreensaver-demo

From: Christine Lemmer-Webber <[email-masked]>
Date: Tue, 15 Mar 2022 08:34:21 -0400

xscreensaver-demo makes it sound fairly unimportant, but -demo is how
you launch the configuration GUI and select screensavers, turn on
settings like when to lock, etc.  For example, in XFCE, I went to click
on the menus to select "screensaver" and it said xscreensaver-demo was
missing.  I imagine this could be confusing.  It confused me.

Looks like we're not the only ones hitting this issue:

  https://bugs.gentoo.org/753905

Tobias Geerinckx-Rice <[email-masked]> writes:

> Hi Christine,
>
> Note that the name of this tool has changed upstream[0], but we're
> still on an older version for now.  Building it:
>
>     Warning: GTK version 2.24.33 was found, but at least one supporting
>              library (gdk-pixbuf-xlib-2.0) was not, so GTK can't be
>              used.
>              Perhaps some of the development packages are not installed?
>
>     Warning: The GTK libraries do not seem to be available; the
>              `xscreensaver-demo' program requires them.
>
> Where gdk-pixbuf-xlib is of course ‘a deprecated library’ and ‘[n]o
> newly written code should ever use this library’ so that'll be fun to 
> maintain the coming years.
>
> Our gdk-pixbuf package still mentions gdk-pixbuf-xlib-2.0.pc in an
> obsolete comment but doesn't actually install it.
>
> Oh:
>
>   NEWS: - Split the gdk-pixbuf-xlib library to a separate repository
>
> The repository is archived and read-only:
>
>   https://gitlab.gnome.org/Archive/gdk-pixbuf-xlib
>
> Oh that is going to be *super* fun to maintain.
>
> At this point I'd usually go ahead and package the beast, but I don't
> use xscreensaver.  How important is this binary?  (-demo sounds 
> unimportant, -settings very, but it's presumably the same thing.)
>
> In any case an update to xscreensaver would seem prudent first.
>
> Kind regards,
>
> T G-R
>
> Sent from a Web browser.  Excuse or enjoy my brevity.
>
> [0]: https://www.jwz.org/xscreensaver/changelog.html